Status: Resolved Priority: Should have
PHP Version:
Has patch: No
Complexity:
Subject: "Compile run failed" output is confusing
Description

The exception thrown on a failed compile run produces quite confusing, verbose output without any benefit.

Associated revisions
Revision 9539aca7 - 2012-04-25 17:57 - Karsten Dambekalns

[TASK] Improve "compilation error message"

When the compile run failed, an exception was thrown until now. This
lead to confusing output. With this change it doesn't output useless
PHP version info etc. anymore.

Change-Id: Ic621e3bf5d6dbfdbe98c53e50b94a9e6b6cdfd74
Resolves: #36562
Releases: 1.1

History
#1 - 2012-04-25 15:31 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2012-04-25 17:57 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10761

#3 - 2012-04-26 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9539aca721deb3bfb54c6188612e9e3e0f923856.

#4 - 2013-03-24 10:27 - Henrik Møller Rasmussen

2015-08-03 1/2

http://review.typo3.org/10761


Would it be possible to improve the error message on compile run errors?

A couple of times I have been getting cryptic errors from the compile run, with no info about where to start searching for the problem. There is no info in
the log either.

It have happened on syntax errors and on use of non-existing classes. Fx. I extended a class from a package that was not installed on the production
system.
